Hestallment invoice details

To get comprehensive details of a invoice, including the refunded amount, status, method, and timestamps

🔋 Sample request payload

 {
  "merchantCode": "842217"
 }

🎯 Note: Payload must be encrypted before being sent to the server. To access the response data, decrypt it upon receiving the response from the server

⚡️ Payload details

Field NameDescription Required
merchantCodePass the merchant code ✅ Yes

📌 Path parameters details

Field Name Description Required
ID Pass the id field number from the invoice object✅ Yes
GET
/api/v1/invoice/{Invoice_Id}
AuthorizationBearer <token>

Pass access token obtained from login endpoint

In: header

Path Parameters

idnumber

Pass the invoice object "id" field number

Header Parameters

accessCodestring

Pass the merchant access code issued by Hesabe

Acceptstring

application/json

Content-Typestring

application/json

Authorizationstring

Pass the access token obtain from login endpoint in this format - 'Bearer ' + token

datastring

Convert payload JSON object to encrypted string and send it to the server

Response Body

application/json

const body = JSON.stringify({  "data": "string"})fetch("https://merchantapisandbox.hesabe.com/api/v1/invoice/{Invoice_Id}", {  method: "GET",  headers: {    "Content-Type": "string",    "accessCode": "string",    "Accept": "string",    "Authorization": "string"  },  body})
{
  "id": 14696,
  "invoice_type": 1,
  "invoice_sub_type": 3,
  "token": "3118174834216193364264",
  "access_key": "9E4Y773Q",
  "split_access_key": "",
  "merchant_id": "3118",
  "reference_number": "31188232353",
  "amount": "15.000",
  "service_charge": "0.000",
  "payment_method": [
    "1",
    "2",
    "7",
    "9"
  ],
  "discount": "0.000",
  "description": "",
  "sms_response": "",
  "invoice_status": 1,
  "subscription": null,
  "sms_status": 0,
  "url_status": 1,
  "visited_count": 1,
  "country_id": null,
  "created_id": 3705,
  "language": "en",
  "expires_at": "2025-05-30",
  "attachment": "",
  "url": "https://merchantapisandbox.hesabe.com/s/9E4Y773Q",
  "spliturl": null,
  "created_at": "2025-05-27 13:36:01",
  "updated_at": "2025-05-27 13:36:32",
  "customer": {
    "name": "jusaira",
    "email": "",
    "phone_number": null
  },
  "created_by_merchant": {
    "id": 3705,
    "name": "refundemployee"
  },
  "products": [
    null
  ],
  "transaction": {
    "id": 1190281,
    "amount": 15,
    "net_amount": 14.9,
    "commission": 0.1,
    "admin_charge": 0,
    "token": "string",
    "payment_type_id": 1,
    "service_type_id": 2,
    "payment_transfer_status": 2,
    "payment_status": 1,
    "auth_status": 0,
    "refund_status": 0,
    "description": "string",
    "order_reference_number": "string",
    "transaction_payment_id": "string",
    "result_code": "CAPTURED",
    "transaction_id": "string",
    "auth": "string",
    "transaction_reference_number": "string",
    "track_id": "string",
    "terminal_id": "string",
    "bank_name": "string",
    "reconciled_document_number": "string",
    "payment_transfer_document_number": "string",
    "pending_auth_amount": 0,
    "created_at": "string",
    "updated_at": "string",
    "balance_amount": 0,
    "merchant": {
      "merchant_id": 0,
      "name": "string",
      "code": "string",
      "sequence_id": 0,
      "company_name": "string",
      "company_logo": "string",
      "business_name": "string"
    },
    "payment_type": {
      "id": 0,
      "name": "string",
      "display_name": "string"
    },
    "service_type": {
      "id": 0,
      "name": "string"
    },
    "payment_gateway": {
      "variable_1": "string",
      "variable_2": "string",
      "variable_3": "string",
      "variable_4": "string",
      "variable_5": "string",
      "version": 0
    },
    "reconciliation": "string",
    "payment_transfer": "string",
    "refund": [
      {
        "id": 0,
        "amount": "string",
        "refund_at": "string",
        "document_number": "string",
        "recover_method": "string",
        "status": 0,
        "refund_method": "string",
        "approved_by": "string",
        "balance_amount": "string",
        "remark": "string",
        "created_at": "string",
        "updated_at": "string"
      }
    ],
    "invoice": {
      "created_by_id": 0,
      "created_name": "string",
      "reference_number": "string",
      "phone_number": "string",
      "customer_name": "string",
      "amount": "string",
      "admin_charge_paid": "string",
      "rentperiod": "string",
      "description": "string",
      "invoice_sub_type": 0,
      "subscription_amount": 0,
      "subscription_count": 0,
      "start_date": "string",
      "frequency": "string"
    },
    "sales_order": "string",
    "payment_card_detail": {
      "card_number": "string",
      "name_on_card": "jusaira",
      "issuer_name": "string"
    },
    "customer": {
      "id": "string",
      "name": "string",
      "mobile_number": "string",
      "email": "string"
    },
    "Rental_Asset": "string",
    "Rental_Unit": "string",
    "Rental_Tenant": "string"
  }
}
Empty
Empty